Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodetextnodeattribute Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodetextnodeattribute (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getAttributes()" method invoked on a Text Node returns null.

Retrieve the Text node from the last child of the first employee and invoke the "getAttributes()" method on the Text Node. It should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-84CF096 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1312295772

Definition at line 45 of file nodetextnodeattribute.java.

## Constructor & Destructor Documentation

nodetextnodeattribute::nodetextnodeattribute | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodetextnodeattribute.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodetextnodeattribute::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file nodetextnodeattribute.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodetextnodeattribute";
    00069    }

void nodetextnodeattribute::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file nodetextnodeattribute.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(nodetextnodeattribute.class,args);
    00072    }

void nodetextnodeattribute::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodetextnodeattribute.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       Node testAddr;
    00057       Node textNode;
    00058       NamedNodeMap attrList;
    00059       doc = load("staff");
    00060       elementList = doc.getElementsByTagName("address");
    00061       testAddr = elementList.item(0);
    00062       textNode = testAddr.getFirstChild();
    00063       attrList = textNode.getAttributes();
    00064       assertNull("nodeTextNodeAttributesAssert1",attrList);
    00065
    00066    }

The documentation for this class was generated from the following file:

- nodetextnodeattribute.java